org.opencv.photo

## Class AlignExposures

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.AlignExposures

- Direct Known Subclasses:
    AlignMTB

      public class AlignExposures
      extends Algorithm

  The base class for algorithms that align images of the same scene with different exposures

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AlignExposures(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlignExposures` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `process(List<Mat> src, List<Mat> dst, Mat times, Mat response)` Aligns images

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlignExposures

          protected AlignExposures(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static AlignExposures __fromPtr__(long addr)

    - #### process

          public void process(List<Mat> src,
                              List<Mat> dst,
                              Mat times,
                              Mat response)

      Aligns images
      Parameters:
        `src` - vector of input images
        `dst` - vector of aligned images
        `times` - vector of exposure time values for each image
        `response` - 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7